import Vue from 'vue';
import Router from 'vue-router';
import { components } from '@zeedhi/vuetify';

const { ZdFramePage } = components;

Vue.use(Router);

const router = new Router({
  mode: 'history',
  base: process.env.BASE_URL,
  routes: [
    {
      path: '/',
      name: 'login',
      component: ZdFramePage,
      props: () => ({
        path: 'login',
        local: true,
      }),
    },
    {
      path: '/login',
      name: 'login',
      component: ZdFramePage,
      props: () => ({
        path: 'login',
        local: true,
      }),
    },
    {
      path: '*',
      component: ZdFramePage,
      props: {
        path: 'login',
        local: true,
      },
    },
  ],
});

const pageTitles: { [key: string]: string } = {
  '/': 'Login',
  '/login': 'Login',
  '': 'Login',
};

router.afterEach((to) => {
  const route = to.path.replace(/\/$/, '');
  const pageTitle = pageTitles[route];

  if (pageTitle) {
    document.title = pageTitle;
  }
});

export default router;
